# 设置商品的累充积分

按SKU为一件或多件商品分配累充积分。用户购买这些商品后将获得累充积分。

请注意，此PUT请求将覆盖项目中商品此前设置的所有累充积分。

为避免误删累充积分，请在每个PUT请求中包含所有商品及其对应的累充积分。

如果只想更新特定商品的累充积分，同时保留其他商品的累充积分，请先使用GET请求获取当前累充积分集合，修改目标商品的累充积分，然后将包含该商品更新后累充积分的完整集合发回。

Endpoint: PUT /v2/project/{project_id}/admin/items/{value_point_sku}/value_points/rewards
Version: 2.0.0
Security: basicAuth

## Path parameters:

  - `project_id` (integer, required)
    项目ID。您可以在发布商帐户的项目名称旁找到此参数；使用项目时，也可以在浏览器地址栏中找到此参数。URL格式如下：https://publisher.xsolla.com//projects/。
    Example: 44056

  - `value_point_sku` (string, required)
    累充积分SKU。
    Example: "value_point_3"

## Request fields (application/json):

  - `sku` (string, required)
    唯一商品ID。SKU只能包含大小写英文字母、数字、句点、短横线和下划线。

  - `amount` (integer, required)
    累充积分数量。

## Response 401 fields (application/json):

  - `statusCode` (integer)
    Example: 401

  - `errorCode` (integer)
    Example: 1020

  - `errorMessage` (string)
    Example: "[0401-1020]: Error in Authentication method occurred"

## Response 404 fields (application/json):

  - `statusCode` (integer)
    Example: 404

  - `errorCode` (integer)
    Example: 4001

  - `errorMessage` (string)
    Example: "[0401-4001]: Item with sku = 'electric_shiel' not found"


## Response 204 fields
